Bug 1642220 - iwyu-0.12 is available
Summary: iwyu-0.12 is available
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: iwyu
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dave Johansen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1574970 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-24 02:47 UTC by Upstream Release Monitoring
Modified: 2020-07-15 00:58 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---


Attachments (Terms of Use)

Description Upstream Release Monitoring 2018-10-24 02:47:35 UTC
Latest upstream release: 0.10
Current version/release in rawhide: 0.9-0.1.20171001git576e80f.fc28
URL: https://include-what-you-use.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/7521/

Comment 1 Upstream Release Monitoring 2019-04-15 19:06:16 UTC
Latest upstream release: 0.12
Current version/release in rawhide: 0.9-0.1.20171001git576e80f.fc28
URL: https://include-what-you-use.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/7521/

Comment 2 Xose Vazquez Perez 2019-04-16 15:49:27 UTC
*** Bug 1574970 has been marked as a duplicate of this bug. ***

Comment 3 Philip Chimento 2020-06-03 01:46:24 UTC
I will post here build instructions for iwyu 0.14 and 0.13 on Fedora 32 in the hopes that it will help the package maintainer:

iwyu 0.14
=========

Install dependencies:
- sudo dnf install llvm-static llvm-devel clang-devel clang-tools-extra

Build:
- git clone https://github.com/include-what-you-use/include-what-you-use
- cd include-what-you-use
- git checkout clang_10
- mkdir _build
- cd _build
- cmake -G Ninja -DCMAKE_INSTALL_PREFIX=/usr ..
- ninja
- sudo ninja install

iwyu 0.13
=========

Install dependencies:
- sudo dnf install llvm9.0-static llvm9.0-devel clang9.0-devel

There is a bug in the cmake macros installed by the clang9.0-devel package. The clang9.0 packages on Fedora 32 don't provide any binaries, only libraries, but the cmake macros require the binaries to be present. So really the below edits should be added as patches to the clang9.0 package. Presumably this will also be necessary for iwyu 0.14 when Fedora upgrades to Clang 11 unless this bug is fixed.

- edit /usr/lib64/llvm9.0/lib/cmake/clang/ClangTargets.cmake
- comment out all add_executable lines:
  - clang
  - clang-format
  - clang-import-test
  - clang-scan-deps
  - clang-rename
  - clang-refactor
- comment out #set_property(TARGET clang PROPERTY ENABLE_EXPORTS 1)
- remove all of the above executables from the `foreach(_expectedTarget` line

- edit /usr/lib64/llvm9.0/lib/cmake/clang/ClangConfig.cmake
- remove all of the above executables from the `set(CLANG_EXPORTED_TARGETS` line

- edit /usr/lib64/llvm9.0/lib/cmake/clang/ClangTargets-relwithdebinfo.cmake
- comment out all the sections having to do with those executables

Now it's possible to build the package:
- git clone https://github.com/include-what-you-use/include-what-you-use
- cd include-what-you-use
- git checkout clang_9.0
- mkdir _build
- cd _build
- cmake -G Ninja -DCMAKE_PREFIX_PATH=/usr/lib64/llvm9.0 -DCMAKE_INSTALL_PREFIX=/usr/lib64/llvm9.0 ..
- ninja
- sudo ninja install

In order for the package to work, note that it *has* to be installed in a certain prefix relative to clang9.0. Otherwise you get the error mentioned in a few other Bugzilla bugs about <stddef.h> not being found.

When using this version, I personally also find it useful to have an iwyu_tool script in my PATH that appends /usr/lib64/llvm9.0/bin to $PATH and runs iwyu_tool.py.

Comment 4 Xose Vazquez Perez 2020-07-14 14:49:54 UTC
FYI, this package is currently unmaintained.

Comment 5 Philip Chimento 2020-07-15 00:58:44 UTC
Then hopefully it will help the next package maintainer, I guess :-)


Note You need to log in before you can comment on or make changes to this bug.